Subject: Re: bug#13560: 24.2.92; tabulated-list header buttons are broken

From: Glenn Morris <[email-masked]>
Date: Sat, 26 Jan 2013 21:52:22 -0500

Jonas Bernoulli wrote:

> Starting with 24.2.92 clicking on a column button created by a
> Tabulated-List mode derived mode does not sort correctly anymore.

Thanks for the report. Eg visible in buffer-menu, where mouse-1 does not
sort.

I don't know what's going on here, but it seems to have some relation to
mouse-1-click-follows-link. If you set it to nil, or leave it alone but
make a long mouse-1 click, then it works. Otherwise it calls the sort
function twice as you say.

This seems like something that should be fixed for 24.3.

> When clicking the first time the order should not be reversed, but it
> is.  Clicking some more does not change the order, it stays reversed.  I
> looked into why this is so and noticed that the command the mouse event
> is bound to is actually called twice.